int read_little_endian_int (unsigned char *data)
{
  int i = 
    (data[0]<< 0) | (data[1]<< 8) | 
    (data[2]<<16) | (data[3]<<24);
  return i;
}

#include <stdio.h>
#include <limits.h>

int main (void)
{
  int i = INT_MIN;
  while (1) {
    int i2 = read_little_endian_int ((unsigned char *)&i);
    if (i != i2) {
      printf ("oops %d != %d\n", i, i2);      
    }
    if (i == INT_MAX) break;
    i++;
  }
  return 0;
}
